package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.gs.Emergency;
import com.tofly.xrtygis.entity.Rxyjfw;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/4/1 17:20
 */
public interface EmergencyService {
    boolean saveEmer(Rxyjfw rxyjfw);

    Page getEmer(Page page, Emergency emergency);

    boolean updateEmer(Rxyjfw rxyjfw, HttpServletRequest request);

    boolean delEmer(List<String> asList);

    Page remind(Page page);

    boolean audit(Rxyjfw rxyjfw);

    void saveEmerSys(Long flowNum);

    void saveEmerSys2(Long blockCallNum);

    String checkData(Rxyjfw rxyjfw);
}
